﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopDatabaseImplement.Models
{
    internal class AssemblyComponent
    {
        public int Id { get; set; }
        [Required]
        public int AssemblyId { get; set; }
        [Required]
        public int ComponentId { get; set; }
        [Required]
        public int Count { get; set; }
        public virtual Component Component { get; set; } = new();
        public virtual Assembly Assembly { get; set; } = new();
    }
}
