﻿using ComputerShopDataModels.Enums;

namespace ComputerShopDataModels.Models
{
    public interface ISupplyModel : IId
    {    
        SupplyStatus Status { get; }
        DateTime DateCreate { get; }
        DateTime? DateImplement { get; }
        int? ReceivingId { get; }
        Dictionary<int, IOrderModel> SupplyOrders { get; }
    }
}
